IF "%3" == "ZIP" GOTO ZIP
IF "%3" == "ARJ" GOTO ARJ
IF "%3" == "LZH" GOTO LZH
IF "%3" == "RAR" GOTO RAR
GOTO END
:ZIP
C:\bbs\bin\PKUNZIP.EXE /t %2
c:\Dos\scan.exe  /nomem  /del %2 %3
GOTO END
:ARJ
C:\dos\ARJ.EXE t /y %2
c:dos\scan  /nomem /del %2 %3
GOTO END
:LZH
C:\dos\LHA.EXE t /m1 %2
c:\dos\scan  /nomem /del %2 %3
:RAR
C:\bbs\bin\RAR.EXE t %2
c:\Dos\scan.exe  /nomem  /del %2 %3
GOTO END

:END

